var prefix = "/datas/data"
$(function () {
    //数据级别
    loadDataLevel();
    //初始化为空
    // $('#dataLevel').val('');
    //所属行业子类
    // loadIndustry();
    //所属行业
    loadIndustryType();
    //数据类别
    loadType();
    //省份
    loadProvince2();
    //地市
    loadCity();
    // 待条件加载完毕 加载数据
    load();
});

//选择导出
function batchExports() {
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要导出的备案数据");
        return;
    }
    layer.confirm("确认要导出选中的'" + rows.length + "'条备案数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['id'];
        });
        layer.close(layer.index);
        location.href = prefix + "/batchExports?idValue=" + JSON.stringify(ids).replace('[', '%5B').replace(']', '%5D');
        // location.href = prefix + "/batchExports?idValue=" + JSON.stringify(ids);
    }, function () {

    });
}

function loadProvince2() {
    var html = "";
    $.ajax({
        url: '/common/dict/list/data_province',
        success: function (data) {
            //加载数据
            for (var i = 0; i < data.length; i++) {
                // 当为全国地图跳转时 回显
                if ($('#provinceName').val() == data[i].value) {
                    html += '<option value="' + data[i].value + '" selected>' + data[i].name + '</option>'
                } else {
                    html += '<option value="' + data[i].value + '">' + data[i].name + '</option>'
                }
            }
            $(".unit-province-select").append(html);
            $(".unit-province-select").chosen({
                maxHeight: 200
            });
            // "font-size: 14px;color: #9b9ea3;"
            $(".unit-province-select").css("font-size", "14px");
            $(".unit-province-select").css("color", '#9b9ea3');
            //点击事件
            $('.unit-province-select').on('change', function (e, params) {
                console.log(params.selected);
                var opt = {
                    query: {
                        type: params.selected,
                    }
                }
                // $('#exampleTable').bootstrapTable('refresh', opt);
            });
            // 当为省级地图跳转时 禁用省份下拉框
            if ($('#provinceName').val() != '') {
                $('#unitProvince').prop('disabled', true).trigger("chosen:updated");
            }
        }
    });
}

function loadDataLevel() {
    console.log("dataLevels:" + $('#dataLevels').val());
    console.log("dataStatus:" + $('#dataStatus').val());
    if ($('#dataLevels').val() != '') {
        $('#dataLevel').val($('#dataLevels').val())
    }
    if ($('#dataStatus').val() == '') {
        $('#dataStatus').val('3');//已审批
    }
}

var myColumns = [];
myColumns.push({
        checkbox: true
    },
    {
        field: 'no',
        title: '序号',
        align: "center",
        width: 65,
        formatter: function (value, row, index) {
            //获取每页显示的数量
            var pageSize = $('#exampleTable').bootstrapTable('getOptions').pageSize;
            //获取当前是第几页
            var pageNumber = $('#exampleTable').bootstrapTable('getOptions').pageNumber;
            //返回序号，注意index是从0开始的，所以要加上1
            return pageSize * (pageNumber - 1) + index + 1;
        }
    })
$.each(commonData,function (index,value){
    myColumns.push(value);
})
myColumns.push(
    {
        // 1:市级 2:省级
        field: 'auditStage',
        title: '审核阶段',
        titleTooltip: "审核阶段",
        formatter: function (item, index) {
            if (item == '1') {
                return '<span class="label  label-primary">市级</span>';
            } else if (item == '2') {
                return '<span class="label  label-success">省级</span>';
            }
        },
        width: 120,
        align: "center",
    },
    {
        // 0:正常 1:删除 2:已上报 3:通过审核 4:驳回 5:联合审批  6:终审
        field: 'dataStatus',
        title: '状态',
        titleTooltip: "状态",
        formatter: function (item, index) {
            if (item == '0') {
                return '<span class="label  label-info">待审核</span>';
            } else if (item == '2') {
                return '<span class="label  label-primary">审核中</span>';
            } else if (item == '3') {
                return '<span class="label  label-success">通过审核</span>';
            } else if (item == '4') {
                return '<span class="label  label-danger">驳回</span>';
            } else if (item == '5') {
                return '<span class="label  label-danger">联合审核</span>';
            } else if (item == '6') {
                return '<span class="label  label-danger">终审</span>';
            }
        },
        width: 120,
        align: "center",
    },
    {
        field: 'uploadTime',
        title: '上传时间',
        titleTooltip: "上传时间",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        visible: false,
    },
    {
        title: '操作',
        titleTooltip: "操作",
        field: 'id',
        align: 'center',
        formatter: function (value, row, index) {
            var e = '<a class="btn btn-primary btn-sm ' + s_edit_h + '" href="#" mce_href="#" title="详情" onclick="edit(\''
                + row.id
                + '\')"><i class="fa fa-book"></i></a> ';
            return e;
        }
    });


function load() {

    $('#exampleTable')
        .bootstrapTable(
            {
                method: 'get', // 服务器数据的请求方式 get or post
                url: prefix + "/list", // 服务器数据的加载地址
                //	showRefresh : true,
                //	showToggle : true,
                //	showColumns : true,
                iconSize: 'outline',
                toolbar: '#exampleToolbar',
                striped: true, // 设置为true会有隔行变色效果
                dataType: "json", // 服务器返回的数据类型
                pagination: true, // 设置为true会在底部显示分页条
                // queryParamsType : "limit",
                // //设置为limit则会发送符合RESTFull格式的参数
                singleSelect: false, // 设置为true将禁止多选
                // contentType : "application/x-www-form-urlencoded",
                // //发送到服务器的数据编码类型
                pageSize: 10, // 如果设置了分页，每页数据条数
                pageNumber: 1, // 如果设置了分布，首页页码
                //search : true, // 是否显示搜索框
                showColumns: false, // 是否显示内容下拉框（选择显示的列）
                sidePagination: "server", // 设置在哪里进行分页，可选值为"client" 或者 "server"
                queryParams: function (params) {
                    return {
                        //说明：传入后台的参数包括offset开始索引，limit步长，sort排序列，order：desc或者,以及所有列的键值对
                        limit: params.limit,
                        offset: params.offset,
                        dataName: $('#dataName').val(),
                        dataIndustry: $('#dataIndustry').val(),
                        industryTypeOne: $('#industryTypeOne').val(),
                        unitProvince: $('#unitProvince').val() == '' ? $('#provinceName').val() : $('#unitProvince').val(),
                        unitCity: $('#unitCity').val()=='' ? $('#cityName').val() : $('#unitCity').val(), //市区
                        reporterUnit: $('#reporterUnit').val(),
                        dataLevel: $('#dataLevel').val(),
                        dataStatus: $('#dataStatus').val(),
                    };
                },
                onLoadSuccess: function () {
                    console.log("chegngong2 : " + $('#unitProvince').val());
                    //鼠标悬停显示全部内容~
                    $('.bootstrap-table tr td').each(function () {
                        $(this).attr("title", $(this).text());
                        $(this).css("cursor", 'pointer');
                    });
                },
                // //请求服务器数据时，你可以通过重写参数的方式添加一些额外的参数，例如 toolbar 中的参数 如果
                // queryParamsType = 'limit' ,返回参数必须包含
                // limit, offset, search, sort, order 否则, 需要包含:
                // pageSize, pageNumber, searchText, sortName,
                // sortOrder.
                // 返回false将会终止请求
                columns: myColumns
            })
        /*table resize*/
        .colResizable();
}

function reLoad() {
    $('#exampleTable').bootstrapTable('refresh');
}

function edit(id) {
    layer.open({
        type: 2,
        title: '详情',
        maxmin: true,
        shadeClose: false, // 点击遮罩关闭层
        area: ['800px', '520px'],
        content: prefix + '/edit/' + id // iframe的url
    });
}